@script modeler
@name Quad Sphere
//created by Ernest Chan
//ernpchan@gmail.com
//code help by Dan Dulberger
//created 05-11-11
//updated 05-16-11

main
{
//1.save count before operation
	selmode(GLOBAL); //look at all geomerty
	polyCount = polycount(); //returns an array of different polycounts
	polyCountBefore = polyCount[1]; //this element in the array countains the total polycount. save that for later.
	
//2.perform operation
	reqbegin("Quad Sphere");
	sizeInput = ctlnumber("Size: ",1);
	segmentInput = ctlinteger("Segments: ",3);
	return if !reqpost();

	segments = getvalue(segmentInput);
	lowValue = getvalue(sizeInput) * -1;
	highValue = getvalue(sizeInput) * 1;
	reqend();
	makebox(lowValue,highValue,segments);
	
//3.save count after operation
	polyCount = polycount();
	polyCountAfter = polyCount[1]; //we sample the polycount again, after operation.
	polyCountNew = polyCountAfter - polyCountBefore;

//4.select all points with indices higher than polyCountBefore, because they must've been created in the operation.
//this loop can look many different ways.
//you could also call the selpolygon command multiple times.
//I however prefer to build an array of indices and only call selpolygon once.
	for(i=1; i<=polyCountNew; i++) {
		indices[i] = i+polyCountBefore;
	}
	selmode(USER); //switch mode, because you cant select in GLOBAL mode
	selpolygon(CLEAR);
	selpolygon(SET, POLYNDX, indices);
	
	meshedit("Spherize");
	scaleVariable = .5527708150073563;
	offsetVariable = highValue * scaleVariable;
	scale (<offsetVariable,offsetVariable,offsetVariable>);
	selpolygon(CLEAR);
}